GuideLab API

Create Remake Reason

Create a new remake reason with an optional discount percentage. Automatically assigns the next sort order if not specified.

POST
/remake-reasons

Create a new remake reason with an optional discount percentage. Automatically assigns the next sort order if not specified.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/remake-reasons" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "reason": {    "id": "string",    "labId": "string",    "name": "string",    "discountPercent": 0,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty